package pay

import (
	"net/http"

	"znc-server/app/main/api/internal/logic/pay"
	"znc-server/app/main/api/internal/svc"
	"znc-server/common/result"
)

func AlipayCallbackHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := pay.NewAlipayCallbackLogic(r.Context(), svcCtx)
		err := l.AlipayCallback(w, r)
		result.HttpResult(r, w, nil, err)
	}
}
